Bug 431474 - pv*, vg*, and lv* commands can't handle special chars in LUN names
pv*, vg*, and lv* commands can't handle special chars in LUN names
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.6
All Linux
medium Severity high
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
:
Depends On:
Blocks: 391511
  Show dependency treegraph
 
Reported: 2008-02-04 15:27 EST by Issue Tracker
Modified: 2013-02-28 23:06 EST (History)
9 users (show)

See Also:
Fixed In Version: RHBA-2008-0776
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:07:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 6 RHEL Product and Program Management 2008-03-10 07:08:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Alasdair Kergon 2008-03-11 06:55:33 EDT
Description of problem:
sudo /usr/sbin/pvcreate '/dev/mapper/SEMC_____SYMMETRIX______102623%%"000'
sudo /usr/sbin/pvcreate '/dev/mapper/SEMC_____SYMMETRIX______102623%%&000'
sudo /usr/sbin/pvcreate '/dev/mapper/SEMC_____SYMMETRIX______102623%%*000'
sudo /usr/sbin/pvcreate '/dev/mapper/SEMC_____SYMMETRIX______102623%%.000'
sudo /usr/sbin/pvcreate '/dev/mapper/SEMC_____SYMMETRIX______102623%%<000'
sudo /usr/sbin/pvcreate '/dev/mapper/SEMC_____SYMMETRIX______102623%%@000'
sudo /usr/sbin/pvcreate '/dev/mapper/SEMC_____SYMMETRIX______102623%%J000'

- started to create the VG
sudo /usr/sbin/vgcreate vgdgZGENES2 
'/dev/mapper/SEMC_____SYMMETRIX______102623%%"000'
- if I remember correctly the creation of the VG did not produce any 
error msg, but when I went to vgextend it I started seeing problems.
sudo /usr/sbin/vgextend vgdgZGENES2 
'/dev/mapper/SEMC_____SYMMETRIX______102623%%&000'
sudo /usr/sbin/vgextend vgdgZGENES2 
'/dev/mapper/SEMC_____SYMMETRIX______102623%%&000'

- output from vgs -a showed lots of warnings/errors.  I tried to 
disable, export, vgreduce --all, etc. but none of the commands would 
touch the VG
sudo /usr/sbin/vgs -a
sudo /usr/sbin/vgchange -a n vgdgZGENES2

- vgs -a shows issues with the VG, i.e. vgdgZGENES2, ..
sudo /usr/sbin/vgs -a | more
 Parse error at line 15: unexpected token
 Couldn't read volume group metadata.
 Parse error at line 15: unexpected token
 Couldn't read volume group metadata.
 Volume group vgdgZGENES2 not found
 VG             #PV #LV #SN Attr  VSize   VFree
 for_hrms_bckp    4   0   0 wz--n 272.31G 272.31G
 hrms_cnv_admin   1   1   0 wz--n  34.04G  14.04G
 etc...

- pvs -a doesn't recognize that the VG is there either...
$ sudo /usr/sbin/pvs -a | more
 Parse error at line 15: unexpected token
 Couldn't read volume group metadata.
 Parse error at line 15: unexpected token
 Couldn't read volume group metadata.
 get_pv_from_vg_by_id: vg_read failed to read VG vgdgZGENES2
 PV                                               VG             Fmt  
Attr PSize   PFree
 /dev/mapper/SEMC_____SYMMETRIX______102623%%"000                lvm2 
--    68.08G  68.08G
 etc ......
Comment 8 Milan Broz 2008-03-12 13:39:38 EDT
Fixed in upstream CVS, will be in next rebase (RHEL 4.7), status set to POST.
Comment 12 Corey Marthaler 2008-06-27 11:07:08 EDT
fix verified in  lvm2-2.02.37-3.el4.  

/dev/sdc#_%($" taft       lvm2 a-   135.66G 134.66G
Comment 15 errata-xmlrpc 2008-07-24 16:07:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0776.html

Note You need to log in before you can comment on or make changes to this bug.